API Documentation

Access all Xuvero tools programmatically. API access requires a Business plan.

Authentication

Include your API key in the Authorization header:

Authorization: Bearer YOUR_API_KEY

Base URL

https://xuvero.com/api/v1

Endpoints

GET /api/v1/tools List all tools

Returns all active tools with metadata.

{
  "tools": [
    {
      "slug": "word-counter",
      "name": "Word Counter",
      "description": "Count words, characters, and more.",
      "category": "text",
      "type": "text",
      "is_pro_only": false
    }
  ],
  "count": 32
}
GET /api/v1/tools/{slug} Get tool details & fields
{
  "slug": "word-counter",
  "name": "Word Counter",
  "type": "text",
  "fields": [
    { "name": "text", "type": "textarea", "label": "Your Text", "required": true }
  ],
  "max_file_mb": 5
}
POST /api/v1/tools/{slug}/process Process a tool

Send tool inputs as JSON body. Returns the result.

Request

POST /api/v1/tools/word-counter/process
Content-Type: application/json
Authorization: Bearer YOUR_KEY

{
  "text": "Hello world, this is a test."
}

Response

{
  "success": true,
  "result": {
    "words": 6,
    "characters": 28,
    "sentences": 1
  },
  "processing_time_ms": 12
}
GET /api/v1/account Your account & usage
{
  "name": "John Doe",
  "email": "[email protected]",
  "plan": "business",
  "api_calls_today": 142,
  "api_calls_limit": 10000
}

Rate Limits

Plan API Calls / Day
FreeNot available
ProNot available
Business10,000 / day

Ready to build?

Upgrade to Business plan to get full API access.

View Plans